#include "include/ttail.h"
#include "include/ttail_init.h"

/**@mainpage
 *
 *Super options : -d -r -p -v -m
 */

int main(int argc, char **argv)
{
	int res;
	ttail_t *ttail;
	if(!(ttail = ttail_init(argc, argv)))
	{
		return 1;
	}
	if(ttail_init_check(ttail) < 0)
	{
		ttail_free(ttail);
		return 1;
	}
	res = ttail_search_closest(ttail, &(ttail->date_min));
	ttail_free(ttail);
	return res;
}
